#ifndef QTFULLSCREEN_H
#define QTFULLSCREEN_H

#include <opencv2/opencv.hpp>
#include <QWidget>
#include <QLabel>
#include <QDialog>
#include <QTimer>

class QtFullScreen : public QDialog
{
    Q_OBJECT
public:
    explicit QtFullScreen(QRect resolution, bool isBorderless=false, QWidget *parent = nullptr);
    ~QtFullScreen();
    void imShow(cv::Mat frame);
    void editGeometry(QRect resolution);
    void editGeometry(int x, int y, int w, int h);

private:
    QLabel *image;
    QRect *resolution;
    bool isBorderless = false;
};

#endif // QTFULLSCREEN_H
