#-------------------------------------------------
#
# Project created by QtCreator 2020-05-13T17:30:24
#
#-------------------------------------------------

QT       += core gui
QT       += uitools

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = SandboxSetup
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
        main.cpp \
    monitorgui.cpp \
    maskedit.cpp \
    projectiongui.cpp \
    qtfullscreen.cpp \
    beamerlocationgui.cpp \
    mainwindow.cpp \
    subapp.cpp \
    saveconfiggui.cpp \
    initcameragui.cpp \
    camerafocusgui.cpp \
    croppingmaskgui.cpp

HEADERS += \
    monitorgui.h \
    maskedit.h \
    projectiongui.h \
    qtfullscreen.h \
    beamerlocationgui.h \
    mainwindow.h \
    subapp.h \
    saveconfiggui.h \
    camerafocusgui.h \
    croppingmaskgui.h \
    initcameragui.h

FORMS += \
    monitorgui.ui \
    maskedit.ui \
    projectiongui.ui \
    beamerlocationgui.ui \
    mainwindow.ui \
    saveconfiggui.ui \
    camerafocusgui.ui \
    croppingmaskgui.ui \
    initcameragui.ui


INCLUDEPATH += ../../inc

LIBS += -L"../../build" -lsandbox
LIBS += -lrealsense2
LIBS += -lyaml-cpp
LIBS += -lXrandr -lX11
LIBS += $(shell pkg-config --libs --cflags opencv)

#QMAKE_CXXFLAGS += -fsanitize=address -fsanitize=leak -fsanitize=undefined
