#ifndef SAVECONFIGGUI_H
#define SAVECONFIGGUI_H

#include <QWidget>
#include <QTimer>
#include <sandboxSetup.h>
#include "subapp.h"

namespace Ui {
class SaveConfigGui;
}

class SaveConfigGui : public SubApp
{
    Q_OBJECT

public:
    explicit SaveConfigGui(SandboxSetup *setup, QWidget *parent = 0);
    ~SaveConfigGui();

protected:
    void showEvent(QShowEvent *event);

private:
    Ui::SaveConfigGui *ui;
    SandboxSetup *setup;

    void saveConfig();
};

#endif // SAVECONFIGGUI_H
