#ifndef SUBAPP_H
#define SUBAPP_H

#include <QWidget>

class SubApp : public QWidget
{
    Q_OBJECT

public:
    explicit SubApp(std::string _title, std::string msg, QWidget *parent = 0);
    ~SubApp();
    bool getEndState(){ return endSuccess; };
    std::string getErrorMessage(){ return error_msg; };
    std::string getTitle(){ return title; };
    virtual bool checkRoutine();
    virtual void valideRoutine();
    virtual void cancelRoutine();

signals:
    void sendNotif(int state);

protected:
    bool endSuccess = false;
    std::string error_msg;
    std::string title;
};

#endif // SUBAPP_H
